summaryrefslogtreecommitdiffstats
path: root/source/ap/zsh/zsh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/zsh/zsh.SlackBuild')
-rwxr-xr-xsource/ap/zsh/zsh.SlackBuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/source/ap/zsh/zsh.SlackBuild b/source/ap/zsh/zsh.SlackBuild
index 7c0a46b3e..c907d8238 100755
--- a/source/ap/zsh/zsh.SlackBuild
+++ b/source/ap/zsh/zsh.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,13 +21,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=zsh
-VERSION=${VERSION:-$(echo ${PKGNAM}-5.*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo ${PKGNAM}-5.*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -36,8 +36,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -58,8 +58,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf zsh-$VERSION
-tar xvf $CWD/zsh-$VERSION.tar.?z* || exit 1
-tar xvf $CWD/zsh-$VERSION-doc.tar.?z* || exit 1
+tar xvf $CWD/zsh-$VERSION.tar.xz || exit 1
+tar xvf $CWD/zsh-$VERSION-doc.tar.xz || exit 1
cd zsh-$VERSION
chown -R root:root .
find . \
@@ -75,7 +75,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/zsh-$VERSION \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1